Source: golang-github-erikstmartin-go-testdb
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Paul Tagliamonte <paultag@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any
Standards-Version: 4.0.0
Homepage: https://github.com/erikstmartin/go-testdb
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-erikstmartin-go-testdb
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-erikstmartin-go-testdb.git
XS-Go-Import-Path: github.com/erikstmartin/go-testdb
Testsuite: autopkgtest-pkg-go

Package: golang-github-erikstmartin-go-testdb-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: foreign
Description: Framework for stubbing responses from go's driver.Driver interface
 go-testdb Framework for stubbing responses from go's driver.Driver
 interface.
 .
 This can be used to sit in place of your sql.Db so that you can stub
 responses for sql calls, and remove database dependencies for your
 test suite.
 .
 This project is in its infancy, but has worked well for all the use
 cases i've had so far, and continues to evolve as new scenarios are
 uncovered. Please feel free to send pull-requests, or submit feature
 requests if you have scenarios that are not accounted for yet.  Setup The
 only thing needed for setup is to include the go-testdb package, then
 you can create your db connection specifying "testdb" as your driver.
